Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
[Java] Class FieldNode

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.FieldNode

All Implemented Interfaces:
  org.objectweb.asm.Opcodes, Variable

    public class FieldNode
    extends AnnotatedNode

Represents a field (member variable)

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`FieldNode(java.lang.String name, int modifiers, ClassNode type, ClassNode owner, Expression initialValueExpression)`

Method Summary
`Expression` | `getInitialExpression()`
`Expression` | `getInitialValueExpression()`
`int` | `getModifiers()`
`java.lang.String` | `getName()`
`ClassNode` | `getOriginType()`
`ClassNode` | `getOwner()`
`ClassNode` | `getType()`
`boolean` | `hasInitialExpression()`
`boolean` | `isClosureSharedVariable()` @deprecated
`boolean` | `isDynamicTyped()`
`boolean` | `isEnum()` @return true if the field is an enum
`boolean` | `isFinal()` @return true if the field is final
`boolean` | `isHolder()`
`boolean` | `isInStaticContext()`
`boolean` | `isProtected()` @return true if the field is protected
`boolean` | `isPublic()` @return true if the field is public
`boolean` | `isStatic()` @return true if the field is static
`boolean` | `isVolatile()` @return true if the field is volatile
`static FieldNode` | `newStatic(java.lang.Class theClass, java.lang.String name)`
`void` | `rename(java.lang.String name)`
`void` | `setClosureSharedVariable(boolean inClosure)` @deprecated
`void` | `setHolder(boolean holder)`
`void` | `setInitialValueExpression(Expression initialValueExpression)`
`void` | `setModifiers(int modifiers)`
`void` | `setOriginType(ClassNode cn)`
`void` | `setOwner(ClassNode owner)` @param owner The owner to set.
`void` | `setType(ClassNode type)`

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### FieldNode

    public FieldNode(java.lang.String name, int modifiers, ClassNode type, ClassNode owner, Expression initialValueExpression)

Method Detail

### getInitialExpression

    public Expression getInitialExpression()

### getInitialValueExpression

    public Expression getInitialValueExpression()

### getModifiers

    public int getModifiers()

### getName

    public java.lang.String getName()

### getOriginType

    public ClassNode getOriginType()

### getOwner

    public ClassNode getOwner()

### getType

    public ClassNode getType()

### hasInitialExpression

    public boolean hasInitialExpression()

### isClosureSharedVariable

    public boolean isClosureSharedVariable()

  deprecated:

### isDynamicTyped

    public boolean isDynamicTyped()

### isEnum

    public boolean isEnum()

  Returns:
    true if the field is an enum

### isFinal

    public boolean isFinal()

  Returns:
    true if the field is final

### isHolder

    public boolean isHolder()

### isInStaticContext

    public boolean isInStaticContext()

### isProtected

    public boolean isProtected()

  Returns:
    true if the field is protected

### isPublic

    public boolean isPublic()

  Returns:
    true if the field is public

### isStatic

    public boolean isStatic()

  Returns:
    true if the field is static

### isVolatile

    public boolean isVolatile()

  Returns:
    true if the field is volatile

### newStatic

    public static FieldNode newStatic(java.lang.Class theClass, java.lang.String name)

### rename

    public void rename(java.lang.String name)

### setClosureSharedVariable

    public void setClosureSharedVariable(boolean inClosure)

  deprecated:

### setHolder

    public void setHolder(boolean holder)

### setInitialValueExpression

    public void setInitialValueExpression(Expression initialValueExpression)

### setModifiers

    public void setModifiers(int modifiers)

### setOriginType

    public void setOriginType(ClassNode cn)

### setOwner

    public void setOwner(ClassNode owner)

  Parameters:
    `owner` - The owner to set.

### setType

    public void setType(ClassNode type)

Groovy Documentation